<?php
/**
 * Filename: _pages.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLivePages {
    var $path;
    var $pages = array(
        'main'      => array(
            'title' => 'Main',
            'file'  => 'main.php'
        ),

        'intro'     => array(
            'title' => 'Introduction',
            'file'  => 'intro.php'
        ),

        'manage'    => array(
            'title' => 'Manage',
            'file'  => 'manage.php'
        ),

	    'edit'      => array(
		    'title' => 'Edit',
		    'file'  => 'edit.php'
	    ),

	    'edit-youtube'  => array(
		    'title' => 'Edit Youtube',
		    'file'  => 'edit-youtube.php'
	    )
    );

    function __construct() {
        $this->path = VHL_PATH .'tmpl';

        //* init
        add_action('init', array($this, 'init'));
    }

    function init() {
        add_action('admin_menu', array($this, 'adminMenu'));
    }

    function adminMenu() {
        global $submenu;

        add_menu_page(VHL_NAME, VHL_NAME, 9, VHL_CODE, array($this, 'displayPageMain'));
    }

    function displayPageMain() {
        extract ($this->pages['main']);
        include_once ($this->path .'/'. $file);
    }

    function displayPageIntro() {
        extract ($this->pages['intro']);
        include_once ($this->path .'/'. $file);
    }

    function displayPageManage() {
        extract ($this->pages['manage']);
        include_once ($this->path .'/'. $file);
    }

	function displayPageEdit() {
		extract ($this->pages['edit']);
		include_once ($this->path .'/'. $file);
	}

	function displayPageEditYoutube() {
		extract ($this->pages['edit-youtube']);
		include_once ($this->path .'/'. $file);
	}
}

new videoHacksLivePages();
