<?php
/**
 * Filename: _widgets.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLiveWidgets extends WP_Widget {
	function init() {
		register_widget('videoHacksLiveWidgets');
	}

	function videoHacksLiveWidgets() {
		$options = array(
			'classname'     => 'videoHacksLiveWidgets',
			'description'   => VHL_NAME .' is an awesome widget'
		);

		$controls  = array(
			'width'         => 350,
			'height'        => 350,
			'id_base'       => VHL_CODE .'-widgets'
		);

		parent::WP_Widget(VHL_CODE .'-widgets', VHL_NAME, $options, $controls);
	}

	function update($new, $old) {
		$instance = array();
		return $instance;
	}

	function form($instance) {
		echo '<p>Please <a href="'. admin_url('admin.php?page='. VHL_CODE) .'">click me</a> to go to the configuration area of this widget.</p>';
	}

	function widget($args, $instance) {
		global $videoHacksLiveDatabase;
		global $post;

		$postid = $post->ID;

		$youtubes = $videoHacksLiveDatabase->getYoutubeByStatus(VHL_ENABLED);
		$tool       = $videoHacksLiveDatabase->getVideoByPostId($postid);

		if (0 == count($tool)) {

			echo $before_widget;
				echo $before_title;
				echo $after_title;

				if (0 != count($youtubes)) {
					foreach ($youtubes as $youtube) {

						$channelid  = $youtube['channelid'];

						$homepage   = $youtube['homepage'];
						$pages      = $youtube['pages'];
						$pagesid    = $youtube['pagesid'];
						$posts      = $youtube['posts'];
						$postsid    = $youtube['postsid'];


						//* homepage
						if (is_home() || is_front_page() || is_sticky()) {
							if ($homepage == VHL_ENABLED) {
								$this->content($channelid);
							}
						}


						//* pages
						if (is_page()) {
							if ($pages == VHL_ENABLED) {
								if (0 != strlen($pagesid)) {
									$explodePagesId = explode(',', $pagesid);
									if (in_array($post->ID, $explodePagesId)) {
										$this->content($channelid);
									}
								}
								else {
									$this->content($channelid);
								}
							}
						}


						//* posts
						if (is_page()) {
							if ($posts == VHL_ENABLED) {
								if (0 != strlen($postsid)) {
									$explodePostsId = explode(',', $postsid);
									if (in_array($post->ID, $explodePostsId)) {
										$this->content($channelid);
									}
								}
								else {
									$this->content($channelid);
								}
							}
						}

					}
				}
			echo $after_widget;

		}
	}

	function content($channelid) {
		echo '<script src="https://apis.google.com/js/platform.js"></script>';
		echo '<div class="g-ytsubscribe" data-channel="'. $channelid .'" data-layout="full" data-count="default"></div>';
	}
}