<?php
/**
 * Filename: footer.part.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

?>

    <br /><hr />
    <div class="footer">
        <p>
            Copyright &copy; <?php echo (2015 != date('Y') ? '2015 - '. date('Y') : 2015); ?> &middot; <?php echo VHL_NAME .' ('. VHL_VERSION .')'; ?> <br />
            System Developed by <a href="http://LockerDude.Com/" title="Developed by Andy Christian Loyola" target="_blank">Andy Christian Loyola</a>
        </p>
    </div>
</div>

<script type="text/javascript">
    var pt = jQuery.noConflict();
    pt(function($) {

        //* header - title
        $('.vhl .title h2').append('<?php echo VHL_NAME; ?>');

        //* tabs
        $('.ui-tabs').tabs({
            active      : $.cookie('activetab'),
            activate    : function(event, ui) {
                $.cookie('activetab', ui.newTab.index(), {
                    expires : 1
                });
            }
        });

        //* dataTables
        $('.vhl #data-tables').dataTable({
            'bJQueryUI'         : true,
            'sPaginationType'   : 'full_numbers',
            'aaSorting'         : [[0, 'desc']]
        });



		//* add new
	    $('#cmdAddNewVideo').click(function() {
		    $('#holder-manage').slideUp();
		    $('#holder-addnew').slideDown();
		    return false;
	    });

	    //* cancel new
	    $('#cmdCancelNewVideo').click(function() {
		    $('#holder-manage').slideDown();
		    $('#holder-addnew').slideUp();
		    return false;
	    });


	    //* submit new video
	    $('#cmdSubmitNewVideo').click(function() {
		    var $name           = $('#live_name');
		    var $videoid        = $('#live_videoid');

		    var $video_status   = $('#live_video_status');
		    var $video_width    = $('#live_video_width');
		    var $video_height   = $('#live_video_height');

		    var $chat_status    = $('#live_chat_status');
		    var $chat_width     = $('#live_chat_width');
		    var $chat_height    = $('#live_chat_height');

		    var $banner_status  = $('#live_banner_status');
		    var $banner_width   = $('#live_banner_width');
		    var $banner_height  = $('#live_banner_height');
		    var $banner_content = tinymceGetContent('live_banner_content', 'live_banner_content');

		    var $hijack_postid  = $('#live_hijack_postid');

		    var $dialog         = $('#dialog-addnew');

		    //* prepare data
		    var $data           = {
			    action          : 'vhl_add_video',
			    name            : $name.val(),
			    videoid         : $videoid.val(),

			    video_status    : $video_status.is(':checked'),
			    video_width     : $video_width.val(),
			    video_height    : $video_height.val(),

			    chat_status     : $chat_status.is(':checked'),
			    chat_width      : $chat_width.val(),
			    chat_height     : $chat_height.val(),

			    banner_status   : $banner_status.is(':checked'),
			    banner_width    : $banner_width.val(),
			    banner_height   : $banner_height.val(),
			    banner_content  : $banner_content,

			    hijack_postid   : $hijack_postid.val()
		    }


		    //* validation
		    if ($name.val() == '') {
			    $name.closest('div').addClass('error');
			    $name.focus();
			    return false;
		    }
		    else {
			    $name.closest('div').removeClass('error');
		    }

		    if ($videoid.val() == '') {
			    $videoid.closest('div').addClass('error');
			    $videoid.focus();
			    return false;
		    }
		    else {
			    $videoid.closest('div').removeClass('error');
		    }


		    //* submit
		    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
			    if (res != 'done') {
				    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
			    }
			    else {
				    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
				    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
			    }
		    });

		    return false;
	    });


	    //* status
	    $('*[id^=cmdStatus]').click(function() {
			var $this   = $(this),
				$span   = $this.children('span');

		    var $data   = {
			    action  : 'vhl_update_status',
			    id      : $this.attr('rel')
		    }
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);

		    if ($span.hasClass('fg-green')) {
			    $span.removeClass('fg-green').addClass('fg-red');
		    }
		    else {
			    $span.removeClass('fg-red').addClass('fg-green');
		    }

		    return false;
	    });


	    //* delete
	    $('*[id^=cmdDelete]').click(function() {
		    var q = confirm('Are you sure you want to delete this item?');
		    if (q) {
			    var $data = {
				    action  : 'vhl_delete_video',
				    id      : $(this).attr('rel')
			    }
			    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
			    $(this).closest('tr').fadeOut();
//			    window.location.href = '<?php //echo admin_url('admin.php?page='. VHL_CODE); ?>//';
		    }

		    return false;
	    });


	    //* remove live page
	    $('*[id^=cmdRemoveLivePage]').click(function() {
		    var q = confirm('Are you sure you want to delete this item?');
		    if (q) {
			    var $data = {
				    action  : 'vhl_delete_hijack',
				    id      : $(this).attr('rel')
			    }
			    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
				    if (res) {
					    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
				    }
			    });
		    }
		    return false;
	    });


	    //* edit
	    $('#cmdEditVideo').click(function() {
		    var $id             = $('#live_id');
		    var $name           = $('#live_name');
		    var $videoid        = $('#live_videoid');

		    var $video_status   = $('#live_video_status');
		    var $video_width    = $('#live_video_width');
		    var $video_height   = $('#live_video_height');

		    var $chat_status    = $('#live_chat_status');
		    var $chat_width     = $('#live_chat_width');
		    var $chat_height    = $('#live_chat_height');

		    var $banner_status  = $('#live_banner_status');
		    var $banner_width   = $('#live_banner_width');
		    var $banner_height  = $('#live_banner_height');
		    var $banner_content = tinymceGetContent('live_banner_content', 'live_banner_content');

		    var $hijack_postid  = $('#live_hijack_postid');

		    var $dialog         = $('#dialog-addnew');

		    //* prepare data
		    var $data           = {
			    action          : 'vhl_edit_video',
			    id              : $id.val(),
			    name            : $name.val(),
			    videoid         : $videoid.val(),

			    video_status    : $video_status.is(':checked'),
			    video_width     : $video_width.val(),
			    video_height    : $video_height.val(),

			    chat_status     : $chat_status.is(':checked'),
			    chat_width      : $chat_width.val(),
			    chat_height     : $chat_height.val(),

			    banner_status   : $banner_status.is(':checked'),
			    banner_width    : $banner_width.val(),
			    banner_height   : $banner_height.val(),
			    banner_content  : $banner_content,

			    hijack_postid   : $hijack_postid.val()
		    }


		    //* validation
		    if ($name.val() == '') {
			    $name.closest('div').addClass('error');
			    $name.focus();
			    return false;
		    }
		    else {
			    $name.closest('div').removeClass('error');
		    }

		    if ($videoid.val() == '') {
			    $videoid.closest('div').addClass('error');
			    $videoid.focus();
			    return false;
		    }
		    else {
			    $videoid.closest('div').removeClass('error');
		    }


		    //* submit
		    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
			    if (res != 'done') {
				    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
			    }
			    else {
				    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
				    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
			    }
		    });

		    return false;
	    });



	    //* set live page
	    $('*[id^=cmdSetLivePage]').click(function () {
		    var $this   = $(this);
		    var $id     = $this.attr('rel');
		    var $holder = $('#holder-live-page-'+ $id);
		    var $postid = $('#hijack_postid_'+ $id);

		    var $dialog = $('#dialog-hijack-postid-'+ $id);

		    $holder.dialog({
			    autoOpen    : false,
			    modal       : true,
			    width       : 450,
			    height      : 250,
			    buttons     : {
				    Set     : function() {

					    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
					    var $data = {
						    action  : 'vhl_update_hijack_postid',
						    id      : $id,
						    postid  : $postid.val()
					    }
					    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
						    if (res != 'done') {
							    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
						    }
						    else {
							    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
							    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
						    }
					    });

				    },
				    Cancel  : function() {
					    $(this).dialog('close');
				    }
			    }
		    }).dialog('open');

		    return false;
	    });





	    //* youtube add new
	    $('#cmdAddNewYoutube').click(function() {
		    $('#holder-manage-youtube').slideUp();
		    $('#holder-addnew-youtube').slideDown();
		    return false;
	    });


	    //* youtube - cancel add new
	    $('#cmdCancelNewYoutube').click(function() {
		    $('#holder-manage-youtube').slideDown();
		    $('#holder-addnew-youtube').slideUp();
		    return false;
	    });



	    //* youtube - pages
	    $('#youtube_pages').on('change', function() {
		    var $this   = $(this);
		    var $holder = $('#holder-youtube-pagesid');

		    if ($this.is(':checked')) {
			    $holder.slideDown();
		    }
		    else {
			    $holder.slideUp();
		    }
	    });

		    if ($('#youtube_pages').is(':checked')) {
			    $('#holder-youtube-pagesid').slideDown();
		    }
	        else {
			    $('#holder-youtube-pagesid').slideUp();
		    }


	    //* youtube - posts
	    $('#youtube_posts').on('change', function() {
		    var $this   = $(this);
		    var $holder = $('#holder-youtube-postsid');

		    if ($this.is(':checked')) {
			    $holder.slideDown();
		    }
		    else {
			    $holder.slideUp();
		    }
	    });

	        if ($('#youtube_posts').is(':checked')) {
		        $('#holder-youtube-postsid').slideDown();
	        }
	        else {
		        $('#holder-youtube-postsid').slideUp();
	        }



	    //* youtube - submit new
	    $('#cmdSubmitNewYoutube').click(function() {
		    var $youtube_name       = $('#youtube_name');
		    var $youtube_channelid  = $('#youtube_channelid');

		    var $youtube_homepage   = $('#youtube_homepage');
		    var $youtube_pages      = $('#youtube_pages');
		    var $youtube_pagesid    = $('#youtube_pagesid');
		    var $youtube_posts      = $('#youtube_posts');
		    var $youtube_postsid    = $('#youtube_postsid');

		    var $dialog             = $('#dialog-addnew-youtube');

		    var $data = {
			    action          : 'vhl_add_youtube',
			    name            : $youtube_name.val(),

			    channelid       : $youtube_channelid.val(),

			    homepage        : $youtube_homepage.is(':checked'),
			    pages           : $youtube_pages.is(':checked'),
			    pagesid         : $youtube_pagesid.val(),
			    posts           : $youtube_posts.is(':checked'),
			    postsid         : $youtube_postsid.val()
		    }

		    //* validation
		    if ($youtube_name.val() == '') {
			    $youtube_name.closest('div').addClass('error');
			    $youtube_name.focus();
			    return false;
		    }
		    else {
			    $youtube_name.closest('div').removeClass('error');
		    }

		    if ($youtube_channelid.val() == '') {
			    $youtube_channelid.closest('div').addClass('error');
			    $youtube_channelid.focus();
			    return false;
		    }
		    else {
			    $youtube_channelid.closest('div').removeClass('error');
		    }


		    //* submit
		    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
			    if (res != 'done') {
				    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
			    }
			    else {
				    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
				    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
			    }
		    });

		    return false;
	    });


	    //* youtube - update status
	    $('*[id^=cmdYoutubeStatus]').click(function() {
			var $this   = $(this),
				$span   = $this.children('span');

		    var $data   = {
			    action  : 'vhl_update_youtube_status',
			    id      : $this.attr('rel')
		    }
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);

		    if ($span.hasClass('fg-green')) {
			    $span.removeClass('fg-green').addClass('fg-red');
		    }
		    else {
			    $span.removeClass('fg-red').addClass('fg-green');
		    }

		    return false;
	    });

	    //* youtube - delete
	    $('*[id^=cmdYoutubeDelete]').click(function() {
		    var q = confirm('Are you sure you want to delete this item?');
		    if (q) {
			    var $data = {
				    action  : 'vhl_delete_youtube',
				    id      : $(this).attr('rel')
			    }
			    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
			    $(this).closest('tr').fadeOut();
		    }

		    return false;
	    });


	    //* youtube - edit
	    $('#cmdEditYoutube').click(function() {
		    var $youtube_id         = $('#youtube_id');
		    var $youtube_name       = $('#youtube_name');
		    var $youtube_channelid  = $('#youtube_channelid');

		    var $youtube_homepage   = $('#youtube_homepage');
		    var $youtube_pages      = $('#youtube_pages');
		    var $youtube_pagesid    = $('#youtube_pagesid');
		    var $youtube_posts      = $('#youtube_posts');
		    var $youtube_postsid    = $('#youtube_postsid');

		    var $dialog             = $('#dialog-addnew-youtube');

		    var $data = {
			    action          : 'vhl_update_youtube',
			    id              : $youtube_id.val(),
			    name            : $youtube_name.val(),

			    channelid       : $youtube_channelid.val(),

			    homepage        : $youtube_homepage.is(':checked'),
			    pages           : $youtube_pages.is(':checked'),
			    pagesid         : $youtube_pagesid.val(),
			    posts           : $youtube_posts.is(':checked'),
			    postsid         : $youtube_postsid.val()
		    }

		    //* validation
		    if ($youtube_name.val() == '') {
			    $youtube_name.closest('div').addClass('error');
			    $youtube_name.focus();
			    return false;
		    }
		    else {
			    $youtube_name.closest('div').removeClass('error');
		    }

		    if ($youtube_channelid.val() == '') {
			    $youtube_channelid.closest('div').addClass('error');
			    $youtube_channelid.focus();
			    return false;
		    }
		    else {
			    $youtube_channelid.closest('div').removeClass('error');
		    }


		    //* submit
		    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
			    if (res != 'done') {
				    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
			    }
			    else {
				    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
				    window.location.href = '<?php echo admin_url('admin.php?page='. VHL_CODE); ?>';
			    }
		    });

		    return false;
	    });



	    //* config - logo preview
	    $('#holder-config-logo > img')
		    .attr('src', $('#config-logo').val())
		    .attr('width', 195)
		    .attr('height', 32);


	    //* config - on-air preview
	    $('#holder-config-on-air > img')
		    .attr('src', $('#config-on-air').val())
		    .attr('width', 99)
		    .attr('height', 28);


	    //* config - background preview
	    $('#holder-config-background > img')
		    .attr('src', $('#config-background').val())
		    .attr('width', 300)
		    .attr('height', 1800);


	    //* config - upload logo
	    $('#cmdConfigUploadLogo').click(function() {
		    tb_show('Upload Live Video Logo', 'media-upload.php?type=image&TB_iframe=true&post_id=0', false);

		    window.restore_send_to_editor = window.send_to_editor;
		    window.send_to_editor = function(html) {
			    var imgUrl = $('<div>'+ html +'</div>').find('img').attr('src');
			    $('#config-logo').val(imgUrl);
			    $('#holder-config-logo').slideDown();
			    $('#holder-config-logo > img')
				    .attr('src', imgUrl)
				    .attr('width', 195)
				    .attr('height', 32);

			    tb_remove();
		    }

		    return false;
	    });


	    //* config - delete logo
	    $('#cmdConfigDeleteLogo').click(function() {
		    var q = confirm('Are you sure you want remove this image?');
		    if (q) {
			    $('#config-logo').val('');
			    $('#holder-config-logo > img').attr('src', '');
			    $('#holder-config-logo').slideUp();
		    }
		    return false;
	    });


	    //* config - delete on-air image
	    $('#cmdConfigDeleteOnAir').click(function() {
		    var q = confirm('Are you sure you want to remove this image?');
		    if (q) {
			    $('#config-on-air').val('');
			    $('#holder-config-on-air > img').attr('src', '');
			    $('#holder-config-on-air').slideUp();
		    }
		    return false;
	    });


	    //* config - upload on-air image
	    $('#cmdConfigUploadOnAir').click(function() {
		    tb_show('Upload Live Video On-Air', 'media-upload.php?type=image&TB_iframe=true&post_id=0', false);

		    window.restore_send_to_editor = window.send_to_editor;
		    window.send_to_editor = function(html) {
			    var imgUrl = $('<div>'+ html +'</div>').find('img').attr('src');
			    $('#config-on-air').val(imgUrl);
			    $('#holder-config-on-air').slideDown();
			    $('#holder-config-on-air > img')
				    .attr('src', imgUrl)
				    .attr('width', 195)
				    .attr('height', 32);

			    tb_remove();
		    }

		    return false;
	    });


	    //* config -delete background
	    $('#cmdConfigDeleteBackground').click(function() {
		    var q = confirm('Are you sure you want to remove this image?');
		    if (q) {
			    $('#config-background').val('');
			    $('#holder-config-background > img').attr('src', '');
			    $('#holder-config-background').slideUp();
		    }
		    return false;
	    });


	    //* config - upload background
	    $('#cmdConfigUploadBackground').click(function() {
		    tb_show('Upload Live Video Background', 'media-upload.php?type=image&TB_iframe=true&post_id=0', false);

		    window.restore_send_to_editor = window.send_to_editor;
		    window.send_to_editor = function(html) {
			    var imgUrl = $('<div>'+ html +'</div>').find('img').attr('src');
			    $('#config-background').val(imgUrl);
			    $('#holder-config-background').slideDown();
			    $('#holder-config-background > img')
				    .attr('src', imgUrl)
				    .attr('width', 300)
				    .attr('height', 1800);

			    tb_remove();
		    }

		    return false;
	    });


	    //* config - update
	    $('#cmdConfigUpdate').click(function() {
		    var $logo       = $('#config-logo'),
			    $onAir      = $('#config-on-air'),
			    $bg         = $('#config-background'),
			    $socialmedia= $('#config-socialmedia'),
			    $footer     = $('#config-footer'),

			    $dialog     = $('#dialog-config'),

			    $data       = {
				    action  : 'vhl_config_update',
				    logo    : $logo.val(),
				    onAir   : $onAir.val(),
				    bg      : $bg.val(),
				    social  : $socialmedia.val(),
				    footer  : $footer.val()
			    };


		    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
		    $.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
			    if (res != 'done') {
				    $dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
			    }
			    else {
				    $dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
			    }
		    });

		    return false;
	    });
    });
</script>
