<?php
/**
 * Filename: _helpers.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLiveHelpers {
	function updateBannerSizes($location) {
		$sizes = array();
		switch ($location) {

			case VHL_BANNER_TOP :
				$sizes = array(
					'video_width'   => '',
					'video_height'  => '',

					'chat_width'    => '',
					'chat_height'   => '',

					'banner_width'  => '800px',
					'banner_height' => '50px'
				);
				break;

			case VHL_BANNER_MIDDLE :
				$sizes = array(
					'video_width'   => '',
					'video_height'  => '',

					'chat_width'    => '250px',
					'chat_height'   => '250px',

					'banner_width'  => '250px',
					'banner_height' => '250px'
				);
				break;

			case VHL_BANNER_BOTTOM :
				$sizes = array(
					'video_width'   => '',
					'video_height'  => '',

					'chat_width'    => '',
					'chat_height'   => '',

					'banner_width'  => '940px',
					'banner_height' => '100px'
				);
				break;
		}

		return $sizes;
	}

	function loadCustomJQuery() {
		?>

		<script type="text/javascript">
			if (!window.jQuery) {
				document.write('<script type="text/javascript" src="<?php echo VHL_URL .'tmpl/js/jquery-2.1.3.min.js'; ?>"><\/script>');
			}
		</script>

		<?php
	}

	function getAllPages() {
		global $videoHacksLiveDatabase;

		$pages = $videoHacksLiveDatabase->getWordpressPosts('page', 'publish');
		if (0 != count($pages)) {
			return $pages;
		}
		return 0;
	}

	function getAllPosts() {
		global $videoHacksLiveDatabase;

		$posts = $videoHacksLiveDatabase->getWordpressPosts('post', 'publish');
		if (0 != count($posts)) {
			return $posts;
		}
		return 0;
	}

	function getUrlHost($url) {
		$parse = parse_url($url);
		return $parse['host'];
	}
}
