<?php
/**
 * Filename: edit-youtube.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$youtubeid  = intval($_GET['id']);
$tube       = $videoHacksLiveDatabase->getYoutubeById($youtubeid);
?>

    <div class="ui-tabs">
        <ul class="ui-tabs-nav">
	        <li><a href="#youtube">Edit <?php echo $tube['name']; ?></a></li>
        </ul>


	    <!-- youtube -->
	    <div id="youtube">

		    <!-- holder - add youtube -->
		    <div id="holder-addnew-youtube">
			    <form name="addNewYoutubeForm" id="addNewYoutubeForm" method="POST" action="">
				    <input type="hidden" name="youtube_id" id="youtube_id" value="<?php echo $youtubeid; ?>" />

			        <div class="row cell">
				        <h3>Edit <?php echo $tube['name']; ?></h3>
			        </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Basic Settings</span>
						    </div>
						    <div class="content">
							    <br />
							    <div class="row cells2">
								    <div class="cell">
									    <div class="input-control text full-size">
										    <label for="youtube_name">Name ( reference only )</label>
										    <input type="text" name="youtube_name" id="youtube_name" placeholder="Enter name ( reference only )" value="<?php echo $tube['name']; ?>" />
									    </div>
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Youtube Settings</span>
						    </div>
						    <div class="content">
							    <div class="row cell">
								    <div class="input-control textarea full-size">
									    <label for="youtube_channelid">Youtube Channel</label>
									    <input type="text" name="youtube_channelid" id="youtube_channelid" placeholder="Enter youtube channel" value="<?php echo $tube['channelid'];  ?>" />
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Widgets Settings</span>
						    </div>
						    <div class="content">
							    <div class="row cells3">
								    <div class="cell">
									    <label for="youtube_homepage" class="input-control checkbox">
										    <input type="checkbox" name="youtube_homepage" id="youtube_homepage" <?php checked($tube['homepage'], VHL_ENABLED); ?> />
										    <span class="check"></span>
										    <span class="caption">Display in Homepage</span>
									    </label>
								    </div>

								    <div class="cell">
									    <label for="youtube_pages" class="input-control checkbox">
										    <input type="checkbox" name="youtube_pages" id="youtube_pages" <?php checked($tube['pages'], VHL_ENABLED); ?> />
										    <span class="check"></span>
										    <span class="caption">Display in Pages</span>
									    </label>

									    <div id="holder-youtube-pagesid" style="display:none;">
										    <div class="input-control text full-size">
											    <input type="text" name="youtube_pagesid" id="youtube_pagesid" placeholder="Enter PageID. Comma separated." value="<?php echo $tube['pagesid']; ?>" />
										    </div>
									    </div>
								    </div>

								    <div class="cell">
									    <label for="youtube_posts" class="input-control checkbox">
										    <input type="checkbox" name="youtube_posts" id="youtube_posts" <?php checked($tube['posts'], VHL_ENABLED); ?> />
										    <span class="check"></span>
										    <span class="caption">Display in Posts</span>
									    </label> <br />

									    <div id="holder-youtube-postsid" style="display:none;">
										    <div class="input-control text full-size">
											    <input type="text" name="youtube_postsid" id="youtube_postsid" placeholder="Enter PostID. Comma separated." value="<?php echo $tube['postsid']; ?>" />
										    </div>
									    </div>
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>





				    <div style="clear:both;"></div>

			        <br />
			        <div class="row cell">
				        <button name="cmdEditYoutube" id="cmdEditYoutube" class="button button-primary text-bold">
					        <span class="icon mif-checkmark"></span> Submit Changes
				        </button>
				        <a href="<?php echo admin_url('admin.php?page='. VHL_CODE); ?>" class="button button-secondary fg-red text-bold">
					        <span class="icon mif-cross"></span> Cancel
				        </a>

				        <span id="dialog-addnew-youtube" style="margin-left:10px;"></span>
			        </div>
			    </form>
		    </div>
		    <!-- // holder - add youtube -->

	    </div>
	    <!-- // youtube -->

    </div>

<?php
include_once ('pages/footer.part.php');
