<?php
/**
 * Filename: edit.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$toolid = intval($_GET['id']);
$tool = $videoHacksLiveDatabase->getVideoById($toolid);
?>

    <div class="ui-tabs">
        <ul class="ui-tabs-nav">
            <li><a href="#manage">Edit <?php echo $tool['name']; ?></a></li>
        </ul>



        <!-- manage -->
        <div id="manage">

	        <!-- holder - addnew -->
	        <div id="holder-addnew">
		        <form name="addNewVideoForm" id="addNewVideoForm" method="POST" action="">
			        <input type="hidden" name="live_id" id="live_id" value="<?php echo $toolid; ?>" />

			        <div class="row cell">
				        <h3>Edit <?php echo $tool['name']; ?></h3>
			        </div>


			        <div class="row cell">
				        <div class="panel" data-role="panel">
					        <div class="heading">
						        <span class="title">Basic Settings</span>
					        </div>
					        <div class="content">

						        <br />
						        <div class="row cells2">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_name">Name ( reference only )</label>
									        <input type="text" name="live_name" id="live_name" placeholder="Enter name ( reference only )" value="<?php echo $tool['name']; ?>" />
								        </div>
							        </div>
						        </div>

						        <div class="row cells2">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_videoid">Video ID</label>
									        <input type="text" name="live_videoid" id="live_videoid" placeholder="Enter Video ID" value="<?php echo $tool['videoid']; ?>" />
								        </div>
							        </div>
						        </div>

					        </div>
				        </div>
			        </div>


			        <div class="row cells2">
				        <div class="cell">
					        <div class="panel" data-role="panel">
						        <div class="heading">
							        <span class="title">Video Settings</span>
						        </div>
						        <div class="content">

							        <div class="row cell">
                                        <label for="live_video_status" class="input-control checkbox">
                                            <input type="checkbox" name="live_video_status" id="live_video_status" <?php echo ($tool['video_status'] == VHL_ENABLED) ? 'checked="checked"' : ''; ?> />
                                            <span class="check"></span>
                                            <span class="caption">Enable</span>
                                        </label>
                        	        </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_video_width">Width</label>
                                            <input type="text" name="live_video_width" id="live_video_width" placeholder="Enter width" value="<?php echo $tool['video_width']; ?>" />
                                        </div>
                                    </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_video_height">Height</label>
                                            <input type="text" name="live_video_height" id="live_video_height" placeholder="Enter height" value="<?php echo $tool['video_height']; ?>" />
                                        </div>
                                    </div>

						        </div>
					        </div>
				        </div>


                        <div class="cell">
                            <div class="panel" data-role="panel">
						        <div class="heading">
							        <span class="title">Chat Settings</span>
						        </div>
						        <div class="content">

							        <div class="row cell">
                                        <label for="live_chat_status" class="input-control checkbox">
                                            <input type="checkbox" name="live_chat_status" id="live_chat_status" <?php echo ($tool['chat_status'] == VHL_ENABLED) ? 'checked="checked"' : ''; ?> />
                                            <span class="check"></span>
                                            <span class="caption">Enable</span>
                                        </label>
                        	        </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_chat_width">Width</label>
                                            <input type="text" name="live_chat_width" id="live_chat_width" placeholder="Enter width" value="<?php echo $tool['chat_width']; ?>" />
                                        </div>
                                    </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_chat_height">Height</label>
                                            <input type="text" name="live_chat_height" id="live_chat_height" placeholder="Enter height" value="<?php echo $tool['chat_height']; ?>" />
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
			        </div>


			        <div class="row cell">
				        <div class="panel" data-role="panel">
					        <div class="heading">
						        <span class="title">Offer Push Settings</span>
					        </div>
					        <div class="content">

						        <div class="row cell">
							        <label for="live_banner_status" class="input-control checkbox">
								        <input type="checkbox" name="live_banner_status" id="live_banner_status" <?php echo ($tool['banner_status'] == VHL_ENABLED) ? 'checked="checked"' : ''; ?> />
								        <span class="check"></span>
								        <span class="caption">Enable</span>
							        </label>
						        </div> <br />

						        <div class="row cells2" style="display:none;">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_banner_width">Width</label>
                                            <input type="text" name="live_banner_width" id="live_banner_width" placeholder="Enter width" value="<?php echo $tool['banner_width']; ?>" />
								        </div>
							        </div>
						        </div>

						        <div class="row cells2" style="display:none;">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_banner_height">Height</label>
									        <input type="text" name="live_banner_height" id="live_banner_height" placeholder="Enter height" value="<?php echo $tool['banner_height']; ?>" />
								        </div>
							        </div>
						        </div>

						        <div class="row cell">
							        <div class="input-control textarea full-size">
								        <label for="live_banner_content">Content</label>
								        <?php
								        wp_editor($tool['banner_content'], 'live_banner_content', array(
									        'textarea_name' => 'live_banner_content',
									        'textarea_rows' => 15,
									        'wpautop'       => true,
									        'media_buttons' => true,
									        'quicktags'     => false
								        ));
								        ?>
							        </div>
						        </div>

					        </div>
				        </div>
			        </div> <br />


			        <div class="row cells2">
				        <div class="cell">
					        <div class="input-control select full-size">
						        <label for="live_postid">Set Live Page</label>
						        <select name="live_hijack_postid" id="live_hijack_postid" style="height:38px;">
							        <option value="0" <?php selected($tool['hijack_postid'], 0); ?>>&mdash; Do not set live page &mdash;</option>

							        <?php
							        if (0 != count($mltPages)) {
								        foreach ($mltPages as $pages) {
									        echo '<option value="'. $pages['ID'] .'" '. selected($tool['hijack_postid'], $pages['ID']) .'>'. $pages['post_title'] .'</option>';
								        }
							        }
							        ?>
						        </select>
					        </div>
				        </div>
			        </div>






			        <div style="clear:both;"></div>

			        <br />
			        <div class="row cell">
				        <button name="cmdEditVideo" id="cmdEditVideo" class="button button-primary text-bold">
					        <span class="icon mif-checkmark"></span> Submit Changes
				        </button>
				        <a href="<?php echo admin_url('admin.php?page='. VHL_CODE); ?>" class="button button-secondary fg-red text-bold">
					        <span class="icon mif-cross"></span> Cancel
				        </a>

				        <span id="dialog-addnew" style="margin-left:10px;"></span>
			        </div>
		        </form>
	        </div>
	        <!-- // holder - addnew -->

        </div>
        <!-- // manage -->
    </div>

<?php
include_once ('pages/footer.part.php');